using System.Text.Json.Serialization;

namespace Models;

public class Card {
	[JsonPropertyName("id")]
	public string Id { get; set; } = "";
	[JsonPropertyName("lang")]
	public string Lang { get; set; } = "";
	[JsonPropertyName("name")]
	public string Name { get; set; } = "";
	[JsonPropertyName("rarity")]
	public string Rarity { get; set; } = "";
	[JsonPropertyName("set_name")]
	public string SetName { get; set; } = "";
	[JsonPropertyName("set")]
	public string Set { get; set; } = "";
	[JsonPropertyName("set_id")]
	public string SetId { get; set; } = "";
	[JsonPropertyName("released_at")]
	public string ReleasedAt { get; set; } = "";
	[JsonPropertyName("artist")]
	public string Artist { get; set; } = "";
	[JsonPropertyName("image_uris")]
	public ImageUris? ImageUris { get; set; }
}
