# MTG Card Image Downloader
Downloads card images from Scryfall.

## Requirements
- .NET 8

## Running
1. Download the **All Cards** bulk data file from https://scryfall.com/docs/api/bulk-data
2. From the root directory, run `dotnet run path\to\all-cards-date.json`
	- For example: `dotnet run C:\Users\striv\Downloads\all-cards-20240109101334.json`
	- Optional arguments:
		- `sets` to get a listing of sets (identifier, name, and release date)
		- `save` will save interested cards to a **cards.json** file in the current directory.
		- `images` will pull and save the normal (JPG) images for the sets listed after, using a `:` separator.
			- For example, `images:3ed:ice` downloads the 3rd Edition and Ice Age card images.

## Pending Improvements
- Allow sets to download to be passed via argument or via configuration.
